OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_Root Class Reference

This class implements the common services for
all classes of GeomToStep which report error.
.

`#include <GeomToStep_Root.hxx>`

Inheritance diagram for GeomToStep_Root:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT Standard_Boolean | IsDone () const
## Protected Attributes
Standard_Boolean | done

## Member Function Documentation

Standard_EXPORT Standard_Boolean GeomToStep_Root::IsDone | ( |  | ) | const

void GeomToStep_Root::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in GeomToStep_MakeAxis1Placement, GeomToStep_MakeAxis2Placement2d, GeomToStep_MakeAxis2Placement3d, GeomToStep_MakeBoundedCurve, GeomToStep_MakeBoundedSurface, GeomToStep_MakeBSplineCurveWithKnots, GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve, GeomToStep_MakeBSplineSurfaceWithKnots, GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface, GeomToStep_MakeCartesianPoint, GeomToStep_MakeCircle, GeomToStep_MakeConic, GeomToStep_MakeConicalSurface, GeomToStep_MakeCurve, GeomToStep_MakeCylindricalSurface, GeomToStep_MakeDirection, GeomToStep_MakeElementarySurface, GeomToStep_MakeEllipse, GeomToStep_MakeHyperbola, GeomToStep_MakeLine, GeomToStep_MakeParabola, GeomToStep_MakePlane, GeomToStep_MakePolyline, GeomToStep_MakeRectangularTrimmedSurface, GeomToStep_MakeSphericalSurface, GeomToStep_MakeSurface, GeomToStep_MakeSurfaceOfLinearExtrusion, GeomToStep_MakeSurfaceOfRevolution, GeomToStep_MakeSweptSurface, GeomToStep_MakeToroidalSurface, and GeomToStep_MakeVector.

void* GeomToStep_Root::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in GeomToStep_MakeAxis1Placement, GeomToStep_MakeAxis2Placement2d, GeomToStep_MakeAxis2Placement3d, GeomToStep_MakeBoundedCurve, GeomToStep_MakeBoundedSurface, GeomToStep_MakeBSplineCurveWithKnots, GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve, GeomToStep_MakeBSplineSurfaceWithKnots, GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface, GeomToStep_MakeCartesianPoint, GeomToStep_MakeCircle, GeomToStep_MakeConic, GeomToStep_MakeConicalSurface, GeomToStep_MakeCurve, GeomToStep_MakeCylindricalSurface, GeomToStep_MakeDirection, GeomToStep_MakeElementarySurface, GeomToStep_MakeEllipse, GeomToStep_MakeHyperbola, GeomToStep_MakeLine, GeomToStep_MakeParabola, GeomToStep_MakePlane, GeomToStep_MakePolyline, GeomToStep_MakeRectangularTrimmedSurface, GeomToStep_MakeSphericalSurface, GeomToStep_MakeSurface, GeomToStep_MakeSurfaceOfLinearExtrusion, GeomToStep_MakeSurfaceOfRevolution, GeomToStep_MakeSweptSurface, GeomToStep_MakeToroidalSurface, and GeomToStep_MakeVector.

void* GeomToStep_Root::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in GeomToStep_MakeAxis1Placement, GeomToStep_MakeAxis2Placement2d, GeomToStep_MakeAxis2Placement3d, GeomToStep_MakeBoundedCurve, GeomToStep_MakeBoundedSurface, GeomToStep_MakeBSplineCurveWithKnots, GeomToStep_MakeBSplineCurveWithKnotsAndRationalBSplineCurve, GeomToStep_MakeBSplineSurfaceWithKnots, GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface, GeomToStep_MakeCartesianPoint, GeomToStep_MakeCircle, GeomToStep_MakeConic, GeomToStep_MakeConicalSurface, GeomToStep_MakeCurve, GeomToStep_MakeCylindricalSurface, GeomToStep_MakeDirection, GeomToStep_MakeElementarySurface, GeomToStep_MakeEllipse, GeomToStep_MakeHyperbola, GeomToStep_MakeLine, GeomToStep_MakeParabola, GeomToStep_MakePlane, GeomToStep_MakePolyline, GeomToStep_MakeRectangularTrimmedSurface, GeomToStep_MakeSphericalSurface, GeomToStep_MakeSurface, GeomToStep_MakeSurfaceOfLinearExtrusion, GeomToStep_MakeSurfaceOfRevolution, GeomToStep_MakeSweptSurface, GeomToStep_MakeToroidalSurface, and GeomToStep_MakeVector.

## Field Documentation

Standard_Boolean GeomToStep_Root::done`[protected]`

The documentation for this class was generated from the following file:

- GeomToStep_Root.hxx